Bug 426677 - boot halts at "creating root device"
boot halts at "creating root device"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 02:01 EST by Felix Miata
Modified: 2009-01-09 00:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:36:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
install.log (33.82 KB, text/plain)
2007-12-24 02:04 EST, Felix Miata
no flags Details
install.log.syslog (5.24 KB, text/plain)
2007-12-24 02:04 EST, Felix Miata
no flags Details
anaconda-ks.cfg (1.39 KB, text/plain)
2007-12-24 02:05 EST, Felix Miata
no flags Details
lspci -vvxxx (28.41 KB, text/plain)
2007-12-24 02:12 EST, Felix Miata
no flags Details
/var/log/anaconda.log (32.98 KB, text/plain)
2007-12-24 17:46 EST, Felix Miata
no flags Details
/var/log/anaconda.syslog (23.67 KB, text/plain)
2007-12-24 17:46 EST, Felix Miata
no flags Details
/var/log/anaconda.xlog (37.36 KB, text/plain)
2007-12-24 17:46 EST, Felix Miata
no flags Details
FC6 grub.conf used to attempt F8 boot (1.09 KB, text/plain)
2007-12-24 20:47 EST, Felix Miata
no flags Details
FC6 grub.conf used to attempt F8 boot (1.30 KB, text/plain)
2007-12-24 21:01 EST, Felix Miata
no flags Details

  None (edit)
Description Felix Miata 2007-12-24 02:01:22 EST
Description of problem:
Installation claims to succeed, but all attempts to boot fail in subject manner.

How reproducible:
Over 12 complete installation attempts spread across 3 systems, i815, i845G,
NForce2, as described beginning on indicated URL.

Steps to Reproduce:
1.Complete all partitioning and formatting in advance of beginning installation
2.Install F8 via HTTP using local copy of installation kernel, initrd & Grub
3.Try to boot the new F8 installation
  
Actual results:
Boot fails

Expected results:
Boot succeeds

Additional info:
1-Both normal and text methods fail in same manner
2-On each system, and least one HD has >15 partitions, though in no case is any
attempt made to install above partition 15
3-Graphical system Gnome always deselected, KDE always selected
4-F8 KDE live CD boots successfully
5-Various other distros all work, including, depending on which of the 3 systems
attempted on: Debian Etch, DOS, Fedora 6, Mandriva 2006, Mandriva 2007,
Knoppix 4.0.2, Kubuntu 7.10, OpenSUSE 10.0, OpenSUSE 10.2, OpenSUSE Factory,
OS/2, SUSE 9.3, WinXP, Xandros 3
6-In one case I cloned a working F7 partition to the F8 target partition, then
upgraded to F8 successfully using yum
7-On about half the attempts, Anaconda exited abnormally at various points very
early, but systems have no usable floppies, and I couldn't find docs on how to
save the logs anywhere else
8-Since MBR is not an acceptable boot loader location (as explained on
http://en.opensuse.org/Bugs/grub ), and Anaconda offers no option to install on
the / partition, always I select no boot loader, and use an existing Grub from
another partition to attempt boot
9-I tried once to install Rawhide in same manner, but installation exited
abnormally very early
10-On one machine I was able to get F8 to boot by copying the module directory
from the F7 partition and use the F7 kernel
11-various cmdline parameters were tried, but the only one that seemed to be of
any use was vga= for 800x600 framebuffer
12-I tried booting F7 to chroot to F8 to install a newer kernel, but that
resulted in a horde of errors
Comment 1 Felix Miata 2007-12-24 02:04:12 EST
Created attachment 290339 [details]
install.log

This is from the NForce2 single PATA HD system.
Comment 2 Felix Miata 2007-12-24 02:04:20 EST
Created attachment 290340 [details]
install.log.syslog

This is from the NForce2 single PATA HD system.
Comment 3 Felix Miata 2007-12-24 02:05:24 EST
Created attachment 290341 [details]
anaconda-ks.cfg

This is from the NForce2 single PATA HD system.
Comment 4 Felix Miata 2007-12-24 02:12:41 EST
Created attachment 290343 [details]
lspci -vvxxx 

from Fedora 6 boot on the NForce2 system
Comment 5 Felix Miata 2007-12-24 17:46:37 EST
Created attachment 290362 [details]
/var/log/anaconda.log

This is from the NForce2 single PATA HD system.
Comment 6 Felix Miata 2007-12-24 17:46:44 EST
Created attachment 290363 [details]
/var/log/anaconda.syslog

This is from the NForce2 single PATA HD system.
Comment 7 Felix Miata 2007-12-24 17:46:50 EST
Created attachment 290364 [details]
/var/log/anaconda.xlog

This is from the NForce2 single PATA HD system.
Comment 8 Felix Miata 2007-12-24 20:47:43 EST
Created attachment 290369 [details]
FC6 grub.conf used to attempt F8 boot

I booted the live KDE CD but edited boot parameters to use the installed F8 as
/. I then did yum update, but it didn't make any boot process changes apparent
to me.
Comment 9 Felix Miata 2007-12-24 21:01:58 EST
Created attachment 290370 [details]
FC6 grub.conf used to attempt F8 boot   	

290369 is wrong version
Comment 10 Felix Miata 2007-12-30 01:00:12 EST
On the NForce2 system I installed F7, then successfully upgraded to F8 with Yum.
That makes 2 systems so far that Anaconda couldn't successfully install F8 on
that Yum did upgrade successfully to F8 from F7. It seems to me those Yum
upgrades couldn't have been possible if mkinitrd didn't work. Is Anaconda using
a different mkinitrd than Yum?
Comment 11 Bug Zapper 2008-11-26 04:09:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Felix Miata 2008-11-26 08:33:51 EST
I cannot test newer version until bug 430836 gets fixed and/or devt is implemented for / in the installation kernel.
Comment 13 Bug Zapper 2009-01-09 00:36:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.